Subject: Re: bug#75710: 31.0.50; feature/igc: crash report on Arch Linux, 2025-01-20

From: Oliver Reiter <[email-masked]>
Date: Wed, 22 Jan 2025 12:49:11 +0100

Pip Cet <[email-masked]> writes:

> "Oliver Reiter via \"Bug reports for GNU Emacs, the Swiss army knife of text editors\"" <[email-masked]> writes:
>
>> Dear all,
>>
>> I opened emacs and started editing an .R file when I experienced this
>> crash:
>
> Thanks for the report!  While we would like to investigate this further
> if you can access the GDB data, there is a possible, but unlikely,
> explanation in bug#75754.
>
> Can you confirm whether you have access to the GDB session?  I would
> recommend generating a coredump file using "gcore" and saving it along
> with the emacs executable and emacs.pdmp file so we can investigate this
> further.

I do have the coredump and haven't rebuild emacs yet.

> The reason I consider the explanation unlikely is that the styled_format
> bug would most likely result in strings being moved by the GC, but this
> crash happened while scanning a cons cell.  It's still possible: we'll
> have to investigate whether the elisp you ran might have been a heavy
> user of styled_format.
>
> Can you please let me know which commit is in use by this build?

Its

commit 35437854166f8d0c1deceb7aba50f27cc838b490 (HEAD -> feature/igc, origin/feature/igc)
Author: Stefan Kangas <[email-masked]>
Date:   Mon Jan 20 03:33:29 2025 +0100

Avoid case_Lisp_Int macro in igc.c

> Thanks!
> Pip

Happy to help,

Oliver